"""Controller for all authentication pages.
"""

import logging

from sloecode.lib.base import BaseController

log = logging.getLogger(__name__)


class AuthController(BaseController):
    """AuthController provides actions for authenticating users.
    
    In reality, most of this is handled by repoze.what and repoze.who. All we
    need to do is to render the login form.
    """

    def login(self):
        """Render the login page template.
        """

        return self.render('/login.html')

