"""Project Role DB model.
"""

from sqlalchemy import Column
from sqlalchemy.schema import ForeignKey
from sqlalchemy.types import Integer, Enum

from sloecode.model.meta import Base, QueryMixin

ROLE_OBSERVER = 'Observer'
ROLE_DEVELOPER = 'Developer'
ROLE_MANAGER = 'Manager'
PROJECT_ROLES = (ROLE_OBSERVER, ROLE_DEVELOPER, ROLE_MANAGER)

class ProjectRole(Base, QueryMixin):
    """A model that stores different project roles.
    """

    __tablename__ = "project_roles"

    id = Column(Integer, primary_key=True)
    membership_id = Column(ForeignKey('person_project_membership.id'))
    # Note: if we want to support PostgreSQL we need to specify name and
    # schema kwargs for all Enums.
    role = Column(Enum('Observer', 'Developer', 'Manager'))


