from sloecode.tests import *
from sloecode.controllers.admin.person import PersonController

class TestPersonController(TestController):

    def test_authorisation(self):
        "Make sure every action on the person model requires authentication"
        actions = ['create', 'process_create', 'retrieve', 'update',
                'process_update', 'delete']

        for action in actions:
            # avert your eyes now - need a less hacky way of doing this:
            action_args = PersonController.__dict__[action].func_code.co_argcount
            if action_args == 1:
                response = self.app.get(url(controller='person', action=action))
            elif action_args == 2:
                response = self.app.get(url(controller='person', action=action, id=1))
            else:
                self.fail("Unknown number of arguments to controller action '%s'" % (action))
            # for all these actions we should be redirected to the login page:
            self.assertTrue(response.status_int==302)
            self.assertTrue(response.headers['Location'].startswith('/auth/login'))
